# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{thinking-sphinx}
  s.version = "1.4.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Pat Allan"]
  s.date = %q{2011-01-28}
  s.description = %q{A concise and easy-to-use Ruby library that connects ActiveRecord to the Sphinx search daemon, managing configuration, indexing and searching.}
  s.email = %q{pat@freelancing-gods.com}
  s.extra_rdoc_files = ["README.textile"]
  s.files = ["lib/cucumber/thinking_sphinx/external_world.rb", "lib/cucumber/thinking_sphinx/internal_world.rb", "lib/cucumber/thinking_sphinx/sql_logger.rb", "lib/thinking-sphinx.rb", "lib/thinking_sphinx.rb", "lib/thinking_sphinx/active_record.rb", "lib/thinking_sphinx/active_record/attribute_updates.rb", "lib/thinking_sphinx/active_record/delta.rb", "lib/thinking_sphinx/active_record/has_many_association.rb", "lib/thinking_sphinx/active_record/has_many_association_with_scopes.rb", "lib/thinking_sphinx/active_record/scopes.rb", "lib/thinking_sphinx/adapters/abstract_adapter.rb", "lib/thinking_sphinx/adapters/mysql_adapter.rb", "lib/thinking_sphinx/adapters/postgresql_adapter.rb", "lib/thinking_sphinx/association.rb", "lib/thinking_sphinx/attribute.rb", "lib/thinking_sphinx/auto_version.rb", "lib/thinking_sphinx/bundled_search.rb", "lib/thinking_sphinx/class_facet.rb", "lib/thinking_sphinx/configuration.rb", "lib/thinking_sphinx/context.rb", "lib/thinking_sphinx/core/array.rb", "lib/thinking_sphinx/core/string.rb", "lib/thinking_sphinx/deltas.rb", "lib/thinking_sphinx/deltas/default_delta.rb", "lib/thinking_sphinx/deploy/capistrano.rb", "lib/thinking_sphinx/excerpter.rb", "lib/thinking_sphinx/facet.rb", "lib/thinking_sphinx/facet_search.rb", "lib/thinking_sphinx/field.rb", "lib/thinking_sphinx/index.rb", "lib/thinking_sphinx/index/builder.rb", "lib/thinking_sphinx/index/faux_column.rb", "lib/thinking_sphinx/join.rb", "lib/thinking_sphinx/property.rb", "lib/thinking_sphinx/rails_additions.rb", "lib/thinking_sphinx/search.rb", "lib/thinking_sphinx/search_methods.rb", "lib/thinking_sphinx/source.rb", "lib/thinking_sphinx/source/internal_properties.rb", "lib/thinking_sphinx/source/sql.rb", "lib/thinking_sphinx/tasks.rb", "lib/thinking_sphinx/test.rb", "README.textile"]
  s.homepage = %q{http://ts.freelancing-gods.com}
  s.post_install_message = %q{If you're upgrading, you should read this:
http://freelancing-god.github.com/ts/en/upgrading.html

}
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{ActiveRecord/Rails Sphinx library}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>, [">= 1.15.6", "< 3.0.0"])
      s.add_runtime_dependency(%q<riddle>, [">= 1.2.2"])
      s.add_runtime_dependency(%q<after_commit>, [">= 1.0.7"])
      s.add_development_dependency(%q<mysql>, ["= 2.8.1"])
      s.add_development_dependency(%q<pg>, ["= 0.9.0"])
      s.add_development_dependency(%q<jeweler>, ["= 1.5.1"])
      s.add_development_dependency(%q<yard>, ["= 0.6.1"])
      s.add_development_dependency(%q<rspec>, ["= 2.0.1"])
      s.add_development_dependency(%q<rspec-core>, ["= 2.0.1"])
      s.add_development_dependency(%q<rspec-expectations>, ["= 2.0.1"])
      s.add_development_dependency(%q<rspec-mocks>, ["= 2.0.1"])
      s.add_development_dependency(%q<rcov>, ["= 0.9.8"])
      s.add_development_dependency(%q<cucumber>, ["= 0.9.4"])
      s.add_development_dependency(%q<will_paginate>, ["= 2.3.15"])
      s.add_development_dependency(%q<ginger>, ["= 1.2.0"])
      s.add_development_dependency(%q<faker>, ["= 0.3.1"])
    else
      s.add_dependency(%q<activerecord>, [">= 1.15.6", "< 3.0.0"])
      s.add_dependency(%q<riddle>, [">= 1.2.2"])
      s.add_dependency(%q<after_commit>, [">= 1.0.7"])
      s.add_dependency(%q<mysql>, ["= 2.8.1"])
      s.add_dependency(%q<pg>, ["= 0.9.0"])
      s.add_dependency(%q<jeweler>, ["= 1.5.1"])
      s.add_dependency(%q<yard>, ["= 0.6.1"])
      s.add_dependency(%q<rspec>, ["= 2.0.1"])
      s.add_dependency(%q<rspec-core>, ["= 2.0.1"])
      s.add_dependency(%q<rspec-expectations>, ["= 2.0.1"])
      s.add_dependency(%q<rspec-mocks>, ["= 2.0.1"])
      s.add_dependency(%q<rcov>, ["= 0.9.8"])
      s.add_dependency(%q<cucumber>, ["= 0.9.4"])
      s.add_dependency(%q<will_paginate>, ["= 2.3.15"])
      s.add_dependency(%q<ginger>, ["= 1.2.0"])
      s.add_dependency(%q<faker>, ["= 0.3.1"])
    end
  else
    s.add_dependency(%q<activerecord>, [">= 1.15.6", "< 3.0.0"])
    s.add_dependency(%q<riddle>, [">= 1.2.2"])
    s.add_dependency(%q<after_commit>, [">= 1.0.7"])
    s.add_dependency(%q<mysql>, ["= 2.8.1"])
    s.add_dependency(%q<pg>, ["= 0.9.0"])
    s.add_dependency(%q<jeweler>, ["= 1.5.1"])
    s.add_dependency(%q<yard>, ["= 0.6.1"])
    s.add_dependency(%q<rspec>, ["= 2.0.1"])
    s.add_dependency(%q<rspec-core>, ["= 2.0.1"])
    s.add_dependency(%q<rspec-expectations>, ["= 2.0.1"])
    s.add_dependency(%q<rspec-mocks>, ["= 2.0.1"])
    s.add_dependency(%q<rcov>, ["= 0.9.8"])
    s.add_dependency(%q<cucumber>, ["= 0.9.4"])
    s.add_dependency(%q<will_paginate>, ["= 2.3.15"])
    s.add_dependency(%q<ginger>, ["= 1.2.0"])
    s.add_dependency(%q<faker>, ["= 0.3.1"])
  end
end
